> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/d-j-integrations/gitlab-setup-for-workbench.md).

# GitLab Setup for Workbench

## Prerequisites <a href="#h_01j5906tcd1m6janxv2t8ydzhb" id="h_01j5906tcd1m6janxv2t8ydzhb"></a>

You must have:

1. A GitLab installation. Reach out to your customer success engineer or [contact support](/support/how-to-reach-us.md) if you’re using the self-managed version.
2. A user account with owner permissions on the top-level group.

## Step 1: Generate an API Token <a href="#h_01j5nzp1y1phgv6qn9pqtgd3yx" id="h_01j5nzp1y1phgv6qn9pqtgd3yx"></a>

1. Log in to GitLab.
2. Open your Profile menu and select **Preferences**.
3. Click **Access Tokens**.
4. Generate a **Personal Access Token** with a **1-year expiry date** and a `read_api` permission level.

## Step 2: Add GitLab as a Security Device in Workbench <a href="#h_01j5nzp1y2k8zcdj29nj6fb5ay" id="h_01j5nzp1y2k8zcdj29nj6fb5ay"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. In a new browser tab, log in to [Workbench](https://workbench.expel.io/settings/security-devices?setupIntegration=gitlab). The link opens the Add Security Device screen directly.
2. Complete the configuration as follows:
   * **Name** - enter a name that might help you more easily identify this integration, such as “CompanyName GitLab”; this name will display in Workbench under the Name column, and is a text string that you can filter on.
   * **Location** - enter the location of your integration, for example “cloud.” This is also a text string that you can filter on, so we recommend being consistent with location naming across your Expel integrations.
   * **API token** - provide the Personal Access Token generated in [Step 1](https://support.expel.io/hc/en-us/articles/10853659813395-GitLab-Setup-for-Workbench#h_01J5NZP1Y1PHGV6QN9PQTGD3YX).
   * **On-prem URL** - if the server is self-managed, use the GitLab server URL.
3. Select **Save**.

Your device should be created successfully within a few seconds. A few reminders:

* After your connection is healthy, it will take some time for your device to begin polling and receiving data.
* To check on the status, select the downward arrow for your device in the first column and choose **View details**.
* Polling will happen first; data will be received after that. **You must refresh the page to see updates.**
* If your device does not begin polling within 15 minutes, and does not begin receiving data within 30 minutes, [contact our support team for help](/support/how-to-reach-us.md).
* To check if alerts are coming through, navigate to **Dashboards > Alert Analysis**. Scroll to the device you want to check, and select the **Expel Alerts** tab to reveal more alert information. It can take 36 to 72 hours for alerts to appear after setup, as we [tune your device](/workbench-reference/alerts/how-expel-alerts-work.md#device-tuning).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/d-j-integrations/gitlab-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
